CentOS 5.6(X64)下編譯安裝LNMP平臺(Nginx1.0.4+PHP5.3.6+Mysql5.5.12)
系統環境:centos 5.6(x64)+Nginx 1.0.4+Mysql 5.5.12 + PHP 5.3.6
軟件包存放位置 /usr/local/src/websoft前端
###########本文另附配置文檔,配置文檔在附件裏#################mysql
Nginx(發音同 engine x)是一款輕量級的Web 服務器/反向代理服務器及電子郵件(IMAP/POP3)代理服務器,並在一個BSD-like 協議下發行。由俄羅斯的程序設計師Igor Sysoev所開發,最初供俄國大型的入口網站及搜尋引擎Rambler(俄文:Рамблер)使用。 其特色是佔有內存少,併發能力強,事實上nginx的併發能力確實在同類型的網頁伺服器中表現較好.目前中國大陸使用nginx網站用戶有:新浪、網易、 騰訊,另外知名的微網誌Plurk也使用nginx。
整體來講nginx的有如下八大優勢:
1.高併發鏈接:官方測試能支撐5萬併發鏈接,在實際生產環境中跑到2,~3W併發鏈接。
2.內存消耗少:在3W併發鏈接下,開啓的10個NGINX進程才消耗150M內存(15M*10=150M)
3.配置文件很是簡單:風格跟程序同樣通俗易懂。
4.成本低廉:Nginx做爲開源軟件,能夠無償使用,而購買F5 BIG-IP、NetScaler
等硬件負載均衡交換機則須要十多萬至幾十萬人民幣。
5.支持rewrite重寫規則:可以根據域名、URL的不一樣,將HTTP請求分發到不一樣的後端服務器羣組。
6.內置的健康檢查功能:若是Nginx Proxy後端的後臺web服務器宕機了,不會音響前端訪問。
7.節省帶寬:支持GZIP壓縮,能夠添加瀏覽器本地緩存的Header頭。
8.穩定性高:用於反向代理,宕機的機率微乎其微。
當客戶端在訪問動態頁面時,由於apache和nginx只能提供靜態解析,這是他們經過內置的cgi接口去尋找php等腳本語言,當須要用到數據部分時PHP會去調用後臺MYSQL數據庫中的數據,以後經過解析生成靜態頁面在返回apache/nginx服務器,再由此交付給客戶端。那麼nginx如何調用php提供動態php格式的網頁,那麼就經過FastCGI來實現,後面安裝php的時候會講解
一、首先安裝編譯所須要的庫文件和編譯環境,這裏我用的光盤的yum源
yum -y install gcc openssl-devel zlib-devel pcre-devel libjpeg-devel libpng-devel libtool-ltdl-devel
yum groupinstall "Development Tools" "Development Libraries" -y
二、下載源碼包
#cd /usr/local/src/websoft
#vim download.txt //拷貝下面的內容到文件裏
wget http://www.nginx.org/download/nginx-1.0.4.tar.gz
wget http://www.cmake.org/files/v2.8/cmake-2.8.4.tar.gz
wget http://dev.mysql.com/get/Downloads/MySQL-5.5/mysql-5.5.12.tar.gz/from/http://ftp.iij.ad.jp/pub/db/mysql
wget http://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.13.1.tar.gz
wget http://downloads.sourceforge.net/mcrypt/libmcrypt-2.5.8.tar.gz?modtime=1171868460&big_mirror=0
wget ttp://downloads.sourceforge.net/mcrypt/mcrypt-2.6.8.tar.gz?modtime=1194463373&big_mirror=0
wget http://downloads.sourceforge.net/mhash/mhash-0.9.9.9.tar.gz?modtime=1175740843&big_mirror=0
wget wget http://cn.php.net/get/php-5.3.6.tar.gz/from/this/mirror
wget http://bart.eaccelerator.net/source/0.9.6.1/eaccelerator-0.9.6.1.tar.bz2
wget http://home.tiscali.cz/~cz210552/distfiles/webbench-1.5.tar.gz
#wget -i download.txt //下載這些軟件包
三、Nginx 安裝
useradd -s /sbin/nologin -M nginx
cd /usr/local/src/websoft
tar zxvf nginx-1.0.4.tar.gz
cd nginx-1.0.4/
./configure --user=nginx --group=nginx \
--prefix=/usr/local/webserver/nginx \
--sbin-path=/usr/sbin/nginx \
--conf-path=/etc/nginx/nginx.conf \
--with-http_stub_status_module \
--with-http_ssl_module \
--without-http_rewrite_module \
--lock-path=/var/lock/nginx.lock \
--pid-path=/var/run/nginx/nginx.pid \
--with-pcre //這個必定要加,不加啓動nginxd會報錯
make && make install
vim /etc/init.d/nginxd/ //添加下面內容,讓nginx 支持service 啓動關閉
#!/bin/sh
#
# nginx - this script starts and stops the nginx daemon
#
# chkconfig: - 85 15
# description: Nginx is an HTTP(S) server, HTTP(S) reverse \
# proxy and IMAP/POP3 proxy server
# processname: nginx
# config: /etc/nginx/nginx.conf
# config: /etc/sysconfig/nginx
# pidfile: /var/run/nginx.pid
# Source function library.
. /etc/rc.d/init.d/functions
# Source networking configuration.
. /etc/sysconfig/network
# Check that networking is up.
[ "$NETWORKING" = "no" ] && exit 0
nginx="/usr/sbin/nginx"
prog=$(basename $nginx)
NGINX_CONF_FILE="/etc/nginx/nginx.conf"
[ -f /etc/sysconfig/nginx ] && . /etc/sysconfig/nginx
lockfile=/var/lock/subsys/nginx
make_dirs() {
# make required directories
user=`nginx -V 2>&1 | grep "configure arguments:" | sed 's/[^*]*--user=\([^ ]*\).*/\1/g' -`
options=`$nginx -V 2>&1 | grep 'configure arguments:'`
for opt in $options; do
if [ `echo $opt | grep '.*-temp-path'` ]; then
value=`echo $opt | cut -d "=" -f 2`
if [ ! -d "$value" ]; then
# echo "creating" $value
mkdir -p $value && chown -R $user $value
fi
fi
done
}
start() {
[ -x $nginx ] || exit 5
[ -f $NGINX_CONF_FILE ] || exit 6
make_dirs
echo -n $"Starting $prog: "
daemon $nginx -c $NGINX_CONF_FILE
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc $prog -QUIT
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
configtest || return $?
stop
sleep 1
start
}
reload() {
configtest || return $?
echo -n $"Reloading $prog: "
killproc $nginx -HUP
RETVAL=$?
echo
}
force_reload() {
restart
}
configtest() {
$nginx -t -c $NGINX_CONF_FILE
}
rh_status() {
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart|configtest)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"
exit 2
esac
chmod +x /etc/init.d/nginxd
service nginxd start
chkconfig --add nginxd
chkconfig nginxd on
chkconfig --list nginxd
經過瀏覽器訪問服務器,出現welcome to nginx!表示成功
四、編譯安裝mysql
編譯環境前提(mysql 5.5.x 再也不用 configure,而用cmake)
# yum -y install gcc gcc-c++ make ncurses-devel //安裝所需的軟件包
#cd /usr/local/src/websoft
#tar xvf cmake-2.8.4.tar.gz
# cd cmake-2.8.4
# ./configure && make && make install
cd /usr/local/src/websoft
# tar zxvf mysql-5.5.12.tar.gz
# cd mysql-5.5.12
# cmake -DCMAKE_INSTALL_PREFIX=/usr/local/webserver/mysql \
-DMYSQL_DATADIR=/data/mysql/data \
-DWITH_MYISAM_STORAGE_ENGINE=1 \
-DWITH_INNOBASE_STORAGE_ENGINE=1 \
-DWITH_ARCHIVE_STORAGE_ENGINE=1 \
-DWITH_BLACKHOLE_STORAGE_ENGINE=1 \
-DENABLED_LOCAL_INFILE=1 \
-DDEFAULT_CHARSET=utf8 \
-DDEFAULT_COLLATION=utf8_general_ci \
-DEXTRA_CHARSETS=all \
-DMYSQL_TCP_PORT=3306
# make
# make install
參數說明:
-DCMAKE_INSTALL_PREFIX=/usr/local/webserver/mysql //安裝目錄
-DMYSQL_DATADIR=/data/mysql/data //數據庫存放目錄
-DWITH_MYISAM_STORAGE_ENGINE=1 //安裝myisam存儲引擎
-DWITH_INNOBASE_STORAGE_ENGINE=1 //安裝innodb存儲引擎
-DWITH_ARCHIVE_STORAGE_ENGINE=1 //安裝archive存儲引擎
-DWITH_BLACKHOLE_STORAGE_ENGINE=1 //安裝blackhole存儲引擎
-DENABLED_LOCAL_INFILE=1 //容許從本地導入數據
-DDEFAULT_CHARSET=utf8 //使用utf8字符
-DDEFAULT_COLLATION=utf8_general_ci //校驗字符
-DEXTRA_CHARSETS=all //安裝全部擴展字符集
-DMYSQL_TCP_PORT=3306 //MySQL監聽端口
mysql 配置
# groupadd -g 3306 mysql
# useradd -u 3306 -g mysql -M -s /sbin/nologin mysql
# mkdir /data/mysql/data
# mkdir /data/mysql/log
# chown -R mysql:mysql /data/mysql
# chmod -R 755 /data/mysql
# cp support-files/my-medium.cnf /etc/my.cnf
#/usr/local/webserver/mysql/scripts/mysql_install_db --user=mysql --basedir=/usr/local/webserver/mysql --datadir=/data/mysql/data & //初始化數據庫
# chmod +x /etc/init.d/mysqld
# chkconfig --add mysqld
# chkconfig mysqld on
# service mysqld restart
# netstat -tnlp |grep 3306
# cd /usr/local/bin //進入用戶的默認搜索路徑下創建mysql命令的軟鏈接,能夠直接執行mysql命令
# ln -s /usr/local/webserver/mysql/bin/mysql mysql
# ln -s /usr/local/webserver/mysql/bin/mysqlduamp mysqldump
# ln -s /usr/local/webserver/mysql/bin/mysqladmin mysqladmin
# mysqladmin -u root -p password '123456'
# mysql -u root -p
# flush privileges;
vim /etc/my.cnf //Mysql 優化,在[mysqld]配置參數下面添加下面幾行(大概37行下面)
innodb_file_per_table
log-bin-trust-function-creators=1
skip-name-resolv
innodb_flush_log_at_trx_commit=1
sync-binlog=1
lower_case_table_names=1
max_connections = 1500 (默認100)
修改配置文件裏下面的參數,去掉前面的#
innodb_buffer_pool_size = 2048M (默認16M,能夠爲系統內存50%~70%)
innodb_additional_mem_pool_size = 256M (默認2M)
innodb_log_file_size = 512M (默認5M,innodb_buffer_pool_size的四分之一)
max_allowed_packet = 500M
下面安裝幾個所須要的源碼包
########libiconv 增強系統對支持字符編碼轉換的功能########
cd /usr/local/src/websoft
tar xvf libiconv-1.13.1.tar.gz
./configure --prefix=/usr/local/webserver
make
make install
####mcrypt是加密算法庫,PHP擴展mcrypt功能對此庫有依耐關係,要使用mcrypt必須先安裝此庫######
tar zxvf libmcrypt-2.5.8.tar.gz
cd libmcrypt-2.5.8
./configure
make
make install
/sbin/ldconfig
######加密算法庫#########
tar zxvf mcrypt-2.6.8.tar.gz
cd mcrypt-2.6.8/
/sbin/ldconfig
./configure
make
make install
###mhash是哈希函數,用來計算消息的校驗碼之類的###
tar zxvf mhash-0.9.9.9.tar.gz
cd mhash-0.9.9.9
./configure
make
make install
ln -s /usr/local/mysql/lib/libmysqlclient.so.18 /usr/lib //建立一個mysqlclient庫的軟鏈接,不建立在make 的時候會提示找不到這個文件
五、安裝PHP
php在編譯安裝時,nginx要想可以調用php提供動態php格式的網頁,必須用FastCGI來實現,但FastCGI只是一個框架,實現FastCGI框架的有PHP-FPM,但對於5.2.x版本的php來講 默認是不支持PHP-FPM的,須要打上php-fpm的補丁,對於5.3.2以前版本的也是須要打補丁的,並且打補丁的過程比較麻煩。好在5.3.3版本的PHP-FPM被直接作進了源代碼包中,在編譯安裝時只需啓用PHP-FPM功能便可
加上 --enable-fpm 啓動fpm
cd /usr/local/src/websoft
tar xvf php-5.3.6.tar.gz
cd php-5.3.6
./configure --prefix=/usr/local/webserver/php \
--with-config-file-path=/usr/local/webserver/php/etc \
--with-mysql=/usr/local/webserver/mysql \
--with-mysqli=/usr/local/webserver/mysql/bin/mysql_config \
--with-iconv-dir=/usr/local/webserver --with-freetype-dir \
--with-jpeg-dir --with-png-dir --with-zlib \
--with-libxml-dir=/usr --enable-xml --disable-rpath \
--enable-safe-mode --enable-bcmath \
--enable-shmop --enable-sysvsem \
--enable-inline-optimization --with-curl \
--with-curlwrappers \
--enable-mbregex --enable-fpm \
--enable-mbstring --with-mcrypt --with-gd \
--enable-gd-native-ttf --with-openssl --with-mhash \
--enable-pcntl --enable-sockets --with-ldap --with-ldap-sasl \
--with-xmlrpc --enable-zip --enable-soap \
--without-pear --enable-fpm
make ZEND_EXTRA_LIBS='-liconv' #由於-liconv的目錄不是在/usr/local下因此安裝時須要手動指定
make install
cp /usr/local/websoft/php-5.3.6/php.ini-production
/usr/local/webserver/php/etc/php.ini //拷貝php配置文件
六、eaccelerator加速器(這個不是必須的,能夠不安裝)
eaccelerator是一個自由開放源碼PHP加速器,優化和動態內容緩存,提升了性能php腳本的緩存性能,使得PHP腳本在編譯的狀態下,對服務器的開銷幾乎徹底消除。 它還有對腳本起優化做用,以加快其執行效率。使您的PHP程序代碼執效率能提升1-10倍;
tar jxvf eaccelerator-0.9.6.1.tar.bz2
cd eaccelerator-0.9.6.1/
/usr/local/webserver/php/bin/phpize
./configure
--enable-eaccelerator=shared --with-php-config=/usr/local/webserver/php/bin/php-config
make
make install
修改php.ini 配置文件
vim /usrl/local/webserver/php/etc/php.ini //修改extension_dir
extension_dir= /usr/local/webserver/php/lib/php/extensions/no-debug-non-zts-20090626/"
配置eAccelerator加速PHP:
建立緩存存放目錄
mkdir -p /usr/local/webserver/eaccelerator_cache
chmod 777 /usr/local/eaccelerator_cache
創建存放日誌的目錄
mkdir -p /usr/local/webserver/php/logs
vi /usr/local/webserver/php/etc/php.ini
按shift+g鍵跳到配置文件的最末尾,加上如下配置信息:
[eaccelerator]
zend_extension="/usr/local/webserver/php/lib/php/extensions/no-debug-non-zts-20090626/eaccelerator.so"
eaccelerator.shm_size="64"
eaccelerator.cache_dir="/usr/local/webserver/eaccelerator_cache"
eaccelerator.enable="1"
eaccelerator.optimizer="1"
eaccelerator.check_mtime="1"
eaccelerator.debug="0"
eaccelerator.filter=""
eaccelerator.shm_max="0"
eaccelerator.shm_ttl="3600"
eaccelerator.shm_prune_period="3600"
eaccelerator.shm_only="0"
eaccelerator.compress="1"
eaccelerator.compress_level="9"
查看安裝是否成功:php -v
PHP 5.3.6 (cli) (built: Jun 8 2011 23:10:20)
Copyright (c) 1997-2011 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2011 Zend Technologies
with eAccelerator v0.9.6.1, Copyright (c) 2004-2010 eAccelerator, by eAccelerator
所有安裝工做準備已經完成,剩下進行一些配置.
vim /usr/local/php/etc/php-fpm.conf ##首先修改下面來配置修改
該配置文件只用修改如下四點,只須要把紅色部分前面的註釋去掉
; Note: Used when pm is set to either 'static' or 'dynamic'
; Note: This value is mandatory.
pm.max_children = 50
; The number of child processes created on startup.
; Note: Used only when pm is set to 'dynamic'
; Default Value: min_spare_servers + (max_spare_servers - min_spare_servers) / 2
pm.start_servers = 10
; The desired minimum number of idle server processes.
; Note: Used only when pm is set to 'dynamic'
; Note: Mandatory when pm is set to 'dynamic'
pm.min_spare_servers = 5
; The desired maximum number of idle server processes.
; Note: Used only when pm is set to 'dynamic'
; Note: Mandatory when pm is set to 'dynamic'
pm.max_spare_servers = 35
修改完成,試着啓動
#/usr/local/webserver/php/sbin/php-fpm &
啓動後用netstat -tnlp //查看若是有如圖所示端口 若是有表示正常啓動
如須要開機自動啓動 則能夠添加到/etc/rc.d/rc.local中
vim /etc/rc.d/rc.local
在空白行添加 /usr/local/webserver/php/sbin/php-fpm &
vim /etc/nginx/nginx.conf //下面就是最後修改nginx.conf配置文件
user nginx //修改ngin守護進程的用戶
worker_processes 4; //工做進程數,通常與 CPU 核數等同,但實際的能夠多一些
error_log logs/error.log; //錯誤日誌位置
events {
worker_connections 2048;#每一個工做進程容許最大的同時鏈接數,能夠稍微大一些,1024的倍數
}
gzip on;
server {
listen 80;
server_name 192.168.175.208; //服務器地址
找到
location ~ \.php$ {
root html;
fastcgi_pass 127.0.0.1:9000;
fastcgi_index index.php;
fastcgi_param SCRIPT_FILENAME /scripts$fastcgi_script_name;
include fastcgi_params;
}
把前面註釋所有去掉, root後面的路徑是你網頁文件所放置的路徑, 該目錄若是不存在的話還須要手動建立。
找到
location / {
root /html;
index index.php index.html index.htm;
}
修改成如上所示 主要是添加index 後面的index.php
修改完成後保存退出,從新啓動nginx服務
service nginxd restart
vim /usr/local/webserver/nginx/html/index.php //編輯測試文件在其中添加
<?php
phpinfo();
?>
保存退出
以後用web瀏覽器訪問 若是出現php信息頁面 表示服務成功,
下面是測試mysql 的鏈接
把剛纔/usr/local/webserver/nginx/html/index.php中的內容修改爲
<?php
$link=mysql_connect("localhost","root","123456");
if(!$link) echo "FAILD!";
else echo "OK!";
?>
而後刷新web頁面,若是出現OK!字樣 測表示正常鏈接
優化Linux內核參數
#vi /etc/sysctl.conf 在/etc/sysctl.conf末尾增長如下內容(可根據服務器實際狀況進行調整),在文件最後添加下面的內容
net.ipv4.tcp_max_syn_backlog = 65536
net.core.netdev_max_backlog = 32768
net.core.somaxconn = 32768
net.core.wmem_default = 8388608
net.core.rmem_default = 8388608
net.core.rmem_max = 16777216
net.core.wmem_max = 16777216
net.ipv4.tcp_timestamps = 0
net.ipv4.tcp_synack_retries = 2
net.ipv4.tcp_syn_retries = 2
net.ipv4.tcp_tw_recycle = 1
net.ipv4.tcp_tw_reuse = 1
net.ipv4.tcp_mem = 94500000 915000000 927000000
net.ipv4.tcp_max_orphans = 3276800
net.ipv4.ip_local_port_range = 1024 65535
#net.ipv4.ip_conntrack_max = 10000
保存退出
/sbin/sysctl -p
##############Linux內核優化參數說明##########################
net.ipv4.tcp_max_syn_backlog = 65536
#記錄的那些還沒有收到客戶端確認信息的鏈接請求的最大值
net.core.netdev_max_backlog = 32768
#每一個網絡接口接收數據包的速率比內核處理這些包的速率快時,容許送到隊列的數據包的最大數目。
net.core.somaxconn = 32768
#listen()的默認參數,掛起請求的最大數量.默認是128.對繁忙的服務器,增長該值有助於網絡性能.
net.core.wmem_default = 8388608
#該參數指定了發送套接字緩衝區大小的缺省值(以字節爲單位)
net.core.rmem_default = 8388608
該參數指定了接收套接字緩衝區大小的缺省值(以字節爲單位)
net.core.rmem_max = 16777216
#該參數指定了接收套接字緩衝區大小的最大值(以字節爲單位)
net.core.wmem_max = 16777216
#該參數指定了發送套接字緩衝區大小的最大值(以字節爲單位)
net.ipv4.tcp_timestamps = 0
#時間戳能夠避免序列號的卷繞。一個1Gbps的鏈路確定會遇到之前用過的序列號。時間戳可以讓內核接受這種「異常」的數據包。這裏須要將其關掉。
net.ipv4.tcp_synack_retries = 2
#爲了打開對端的鏈接,內核須要發送一個SYN並附帶一個迴應前面一個SYN的ACK。也就是所謂三次握手中的第二次握手。這個設置決定了內核放棄鏈接以前發送SYN+ACK包的數量。
net.ipv4.tcp_syn_retries = 2
#在內核放棄創建鏈接以前發送SYN包的數量。
net.ipv4.tcp_tw_recycle = 1
#啓用timewait快速回收。
net.ipv4.tcp_tw_reuse = 1
#開啓重用。容許將TIME-WAIT sockets從新用於新的TCP鏈接。
net.ipv4.tcp_mem = 94500000 915000000 927000000
# 一樣有3個值,意思是:
net.ipv4.tcp_mem[0]:低於此值,TCP沒有內存壓力.
net.ipv4.tcp_mem[1]:在此值下,進入內存壓力階段.
net.ipv4.tcp_mem[2]:高於此值,TCP拒絕分配socket.
上述內存單位是頁,而不是字節
#系統所能處理不屬於任何進程的TCP sockets最大數量。假如超過這個數量﹐那麼不屬於任何進程的鏈接會被當即reset,並同時顯示警告信息。之因此要設定這個限制﹐純粹爲了抵禦那些簡單的DoS***﹐千萬不要依賴這個或是人爲的下降這個限制
net.ipv4.ip_local_port_range = 1024 65535
#容許系統打開的端口範圍。
#net.ipv4.ip_conntrack_max = 10000
#設置系統對最大跟蹤的TCP鏈接數的限制(CentOS 5.6無此參數)
#####################################################################
編寫天天定時切割Nginx日誌的腳本,使用系統的logrotate 工具來回滾日誌:
logrotate 程序是一個日誌文件管理工具。用來把舊的日誌文件刪除,並建立新的日誌文件,咱們把它叫作「轉儲」。咱們能夠根據日誌文件的大小,也能夠根據其天數來轉儲,這個過程通常經過 cron 程序來執行。
logrotate 程序還能夠用於壓縮日誌文件,以及發送日誌到指定的E-mai
#vim /etc/logrotate/nginx //在/etc/logrotate.d/下創建一腳本文件nginx,內容爲:
/usr/local/webserver/nginx/logs/*log {
missingok
rotate 10
daily
notifempty
sharedscripts
postrotate
/bin/kill -HUP `cat /var/run/nginx/nginx.pid 2>/dev/null` 2> /dev/null || true
endscript
}
保存退出
生成日誌的格式爲:access_log.1 access_log.2 error_log.3 ......
error_log.1 error_log.2 error_log.3 ........
用Webbench進行簡單的壓力測試
Webbench是有名的網站壓力測試工具。Webbench支持多平臺,FreeBSD、Linux、Windows均可以使用。Webbench最多能夠模擬3萬個併發鏈接去測試網站的負載能力。
cd /usr/local/src/websoft
tar xvf webbench-1.5.tar.gz
cd webbench-1.5
make && make install
Linux壓力測試工具webbench使用:
引用 webbench -c 500 -t 30 http://127.0.0.1/index.php
webbench -c 500 -t 30參數說明:-c表示併發數,-t表示時間(秒)